@import url("fontawesome.min.css"); /* hacky? */

a.fasc-button {
    display: inline-block;
    color: #ffffff;
    text-decoration: none;
    margin: 3px 0;
    border: 0;
    -webkit-box-shadow: none;
    -moz-box-shadow: none;
    box-shadow: none;
    box-sizing: border-box;
}
a.fasc-button:hover,
a.fasc-button:focus,
a.fasc-button:visited,
a.fasc-button:active {
    text-decoration: none;
    -webkit-box-shadow: none;
    -moz-box-shadow: none;
    box-shadow: none;
}

/*a.fasc-button.fasc-ico:before, */
a.fasc-button.fasc-ico-before:before,
a.fasc-button.fasc-ico-after:after {
    vertical-align: middle;
    display: inline-block;
    -webkit-font-smoothing: antialiased;
    margin-top: -2px;
}
a.fasc-button.fasc-ico-after:before {
    display: none;
    content: none;
}
/* before icons */
a.fasc-size-xsmall.fasc-ico-before:before {
    font: 400 12px/1 dashicons;
    padding-right: 4px;
}
a.fasc-size-small.fasc-ico-before:before {
    font: 400 14px/1 dashicons;
    padding-right: 4px;
}
a.fasc-size-medium.fasc-ico-before:before {
    font: 400 16px/1 dashicons;
    padding-right: 5px;
}
a.fasc-size-large.fasc-ico-before:before {
    font: 400 20px/1 dashicons;
    padding-right: 6px;
    line-height: 22px;
}
a.fasc-size-xlarge.fasc-ico-before:before {
    font: 400 28px/1 dashicons;
    padding-right: 6px;
    line-height: 22px;
}

a.fasc-button.ico-fa.fasc-ico-before:before {
    vertical-align: middle;
    display: inline-block;
    font: 400 12px/1 FontAwesome;
    -webkit-font-smoothing: antialiased;
    padding-top: 0;
    padding-left: 1px;
}
a.fasc-size-xsmall.ico-fa.fasc-ico-before:before {
    font: 400 11px/1 FontAwesome;
    padding-right: 6px;
}
a.fasc-size-small.ico-fa.fasc-ico-before:before {
    font: 400 13px/1 FontAwesome;
    padding-right: 7px;
}
a.fasc-size-medium.ico-fa.fasc-ico-before:before {
    font: 400 15px/1 FontAwesome;
    padding-right: 8px;
}
a.fasc-size-large.ico-fa.fasc-ico-before:before {
    font: 400 19px/1 FontAwesome;
    padding-right: 9px;
    line-height: 22px;
}
a.fasc-size-xlarge.ico-fa.fasc-ico-before:before {
    font: 400 28px/1 FontAwesome;
    padding-right: 9px;
    line-height: 22px;
}

/* after */

a.fasc-size-xsmall.fasc-ico-after:after {
    font: 400 12px/1 dashicons;
    padding-left: 4px;
}

a.fasc-size-small.fasc-ico-after:after {
    font: 400 14px/1 dashicons;
    padding-left: 4px;
}

a.fasc-size-medium.fasc-ico-after:after {
    font: 400 16px/1 dashicons;
    padding-left: 5px;
}
a.fasc-size-large.fasc-ico-after:after {
    font: 400 20px/1 dashicons;
    padding-left: 6px;
    line-height: 22px;
}
a.fasc-size-xlarge.fasc-ico-after:after {
    font: 400 28px/1 dashicons;
    padding-left: 6px;
    line-height: 22px;
}

a.fasc-button.ico-fa.fasc-ico-after:after {
    vertical-align: middle;
    display: inline-block;
    font: 400 12px/1 FontAwesome;
    -webkit-font-smoothing: antialiased;
    padding-top: 0;
    padding-right: 1px;
}
a.fasc-size-xsmall.ico-fa.fasc-ico-after:after {
    font: 400 11px/1 FontAwesome;
    padding-left: 6px;
}
a.fasc-size-small.ico-fa.fasc-ico-after:after {
    font: 400 13px/1 FontAwesome;
    padding-left: 7px;
}
a.fasc-size-medium.ico-fa.fasc-ico-after:after {
    font: 400 15px/1 FontAwesome;
    padding-left: 8px;
}
a.fasc-size-large.ico-fa.fasc-ico-after:after {
    font: 400 19px/1 FontAwesome;
    padding-left: 9px;
    line-height: 22px;
}
a.fasc-size-xlarge.ico-fa.fasc-ico-after:after {
    font: 400 28px/1 FontAwesome;
    padding-left: 9px;
    line-height: 22px;
}

/* sizes */
.fasc-size-xsmall {
    font-size: 10px;
    padding: 5px 7px;
    border: 0;
}
.fasc-size-small {
    font-size: 12px;
    padding: 6px 8px;
    border: 0;
    line-height: 17px;
}

.fasc-size-medium {
    font-size: 14px;
    padding: 7px 9px;
    font-size: 14px;
    line-height: 19px;
    border: 0;
}

.fasc-size-large {
    font-size: 18px;
    padding: 8px 10px;
    border: 0;
    line-height: 24px;
}
.fasc-size-xlarge {
    font-size: 24px;
    padding: 11px 13px;
    border: 0;
    line-height: 33px;
}

/* Types */
.fasc-type-flat:hover {
    background-image: -webkit-linear-gradient(
        top,
        rgba(0, 0, 0, 0.1),
        rgba(0, 0, 0, 0.1)
    );
    background-image: -moz-linear-gradient(
        top,
        rgba(0, 0, 0, 0.1),
        rgba(0, 0, 0, 0.1)
    );
    background-image: -o-linear-gradient(
        top,
        rgba(0, 0, 0, 0.1),
        rgba(0, 0, 0, 0.1)
    );
    background-image: linear-gradient(
        to bottom,
        rgba(0, 0, 0, 0.1),
        rgba(0, 0, 0, 0.1)
    );
}

/* glossy */

a.fasc-type-glossy {
    background-color: #247edd;
    border: 1px solid rgba(0, 0, 0, 0.1);

    /*text-shadow:5px solid rgba(0,0,0, 0.5);*/
    /*-webkit-box-shadow: inset 0 1px rgba(255, 255, 255, 0.4), 0 1px 2px rgba(0, 0, 0, 0.2);
	box-shadow: inset 0 1px rgba(255, 255, 255, 0.4), 0 1px 2px rgba(0, 0, 0, 0.2);*/
    background-image: -webkit-linear-gradient(
        top,
        rgba(255, 255, 255, 0.3),
        rgba(255, 255, 255, 0) 50%,
        rgba(0, 0, 0, 0.12) 51%,
        rgba(0, 0, 0, 0.04)
    );
    background-image: -moz-linear-gradient(
        top,
        rgba(255, 255, 255, 0.3),
        rgba(255, 255, 255, 0) 50%,
        rgba(0, 0, 0, 0.12) 51%,
        rgba(0, 0, 0, 0.04)
    );
    background-image: -o-linear-gradient(
        top,
        rgba(255, 255, 255, 0.3),
        rgba(255, 255, 255, 0) 50%,
        rgba(0, 0, 0, 0.12) 51%,
        rgba(0, 0, 0, 0.04)
    );
    background-image: linear-gradient(
        to bottom,
        rgba(255, 255, 255, 0.3),
        rgba(255, 255, 255, 0) 50%,
        rgba(0, 0, 0, 0.12) 51%,
        rgba(0, 0, 0, 0.04)
    );
}
a.fasc-type-glossy:hover {
    /*-webkit-box-shadow: inset 0 1px rgba(255, 255, 255, 0.4), 0 1px 2px rgba(0, 0, 0, 0.2);
	box-shadow: inset 0 1px rgba(255, 255, 255, 0.4), 0 1px 2px rgba(0, 0, 0, 0.2);*/
    background-image: -webkit-linear-gradient(
        top,
        rgba(0, 0, 0, 0.1),
        0 (0, 0, 0, 0) 50%,
        rgba(0, 0, 0, 0.1) 51%,
        rgba(0, 0, 0, 0.1)
    );
    background-image: -moz-linear-gradient(
        top,
        rgba(0, 0, 0, 0.1),
        rgba(0, 0, 0, 0) 50%,
        rgba(0, 0, 0, 0.1) 51%,
        rgba(0, 0, 0, 0.1)
    );
    background-image: -o-linear-gradient(
        top,
        rgba(0, 0, 0, 0.1),
        rgba(0, 0, 0, 0) 50%,
        rgba(0, 0, 0, 0.1) 51%,
        rgba(0, 0, 0, 0.1)
    );
    background-image: linear-gradient(
        to bottom,
        rgba(0, 0, 0, 0.1),
        rgba(0, 0, 0, 0) 50%,
        rgba(0, 0, 0, 0.1) 51%,
        rgba(0, 0, 0, 0.1)
    );

    border: 1px solid rgba(0, 0, 0, 0.1);
}

.fasc-type-glossy.fasc-size-xlarge {
}
.fasc-type-glossy.fasc-size-large {
}
.fasc-type-glossy.fasc-size-medium {
}
.fasc-type-glossy.fasc-size-small {
}
.fasc-type-glossy.fasc-size-xsmall {
}

/* 3d */
.fasc-type-popout.fasc-size-xlarge {
    -webkit-box-shadow: 7px 7px 0px #777777;
    -moz-box-shadow: 7px 7px 0px #777777;
    box-shadow: 7px 7px 0px #777777;
}
.fasc-type-popout.fasc-size-large {
    -webkit-box-shadow: 6px 6px 0px #777777;
    -moz-box-shadow: 6px 6px 0px #777777;
    box-shadow: 6px 6px 0px #777777;
}
.fasc-type-popout.fasc-size-medium {
    -webkit-box-shadow: 5px 5px 0px #777777;
    -moz-box-shadow: 5px 5px 0px #777777;
    box-shadow: 5px 5px 0px #777777;
}
.fasc-type-popout.fasc-size-small {
    -webkit-box-shadow: 4px 4px 0px #777777;
    -moz-box-shadow: 4px 4px 0px #777777;
    box-shadow: 4px 4px 0px #777777;
}
.fasc-type-popout.fasc-size-xsmall {
    -webkit-box-shadow: 3px 3px 0px #777777;
    -moz-box-shadow: 3px 3px 0px #777777;
    box-shadow: 3px 3px 0px #777777;
}
.fasc-type-popout.fasc-size-xlarge:hover {
    -webkit-box-shadow: 5px 5px 0px #777777;
    -moz-box-shadow: 5px 5px 0px #777777;
    box-shadow: 5px 5px 0px #777777;
}
.fasc-type-popout.fasc-size-large:hover {
    -webkit-box-shadow: 4px 4px 0px #777777;
    -moz-box-shadow: 4px 4px 0px #777777;
    box-shadow: 4px 4px 0px #777777;
}
.fasc-type-popout.fasc-size-medium:hover {
    -webkit-box-shadow: 3px 3px 0px #777777;
    -moz-box-shadow: 3px 3px 0px #777777;
    box-shadow: 3px 3px 0px #777777;
}
.fasc-type-popout.fasc-size-small:hover {
    -webkit-box-shadow: 3px 3px 0px #777777;
    -moz-box-shadow: 3px 3px 0px #777777;
    box-shadow: 3px 3px 0px #777777;
}
.fasc-type-popout.fasc-size-xsmall:hover {
    -webkit-box-shadow: 2px 2px 0px #777777;
    -moz-box-shadow: 2px 2px 0px #777777;
    box-shadow: 2px 2px 0px #777777;
}

.fasc-type-popout:hover {
    background-image: -webkit-linear-gradient(
        top,
        rgba(0, 0, 0, 0.1),
        rgba(0, 0, 0, 0.1)
    );
    background-image: -moz-linear-gradient(
        top,
        rgba(0, 0, 0, 0.1),
        rgba(0, 0, 0, 0.1)
    );
    background-image: -o-linear-gradient(
        top,
        rgba(0, 0, 0, 0.1),
        rgba(0, 0, 0, 0.1)
    );
    background-image: linear-gradient(
        to bottom,
        rgba(0, 0, 0, 0.1),
        rgba(0, 0, 0, 0.1)
    );
}

/* rounded */
a.fasc-button.rounded.fasc-size-xlarge,
.fasc-rounded-medium.fasc-size-xlarge {
    border-radius: 15px;
}
a.fasc-button.rounded.fasc-size-large,
.fasc-rounded-medium.fasc-size-large {
    border-radius: 10px;
}
a.fasc-button.rounded.fasc-size-medium,
.fasc-rounded-medium.fasc-size-medium {
    border-radius: 9px;
}
a.fasc-button.rounded.fasc-size-small,
.fasc-rounded-medium.fasc-size-small {
    border-radius: 8px;
}
a.fasc-button.rounded.fasc-size-xsmall,
.fasc-rounded-medium.fasc-size-xsmall {
    border-radius: 7px;
}

a.fasc-style-bold {
    font-weight: bold;
}
a.fasc-style-italic {
    font-style: italic;
}
a.fasc-style-strikethrough {
    text-decoration: line-through;
}

.fasc-button.fasc-style-strikethrough:hover {
    text-decoration: line-through;
}
